OpenVDB 5.1.0

Public Types | List of all members
TreeConverter< TreeType > Struct Template Reference

Similiar to ValueConverter, but allows for tree configuration conversion to a PointDataTree. ValueConverter<PointDataIndex32> cannot be used as a PointDataLeafNode is not a specialization of LeafNode. More...

`#include <PointDataGrid.h>`

## Public Types
using | RootNodeT = typename TreeType::RootNodeType
using | NodeChainT = typename internal::PointDataNodeChain< RootNodeT, RootNodeT::LEVEL >::Type
using | Type = tree::Tree< typename boost::mpl::back< NodeChainT >::type >

## Detailed Description

### template<typename TreeType>
struct openvdb::v5_1::points::TreeConverter< TreeType >

Similiar to ValueConverter, but allows for tree configuration conversion to a PointDataTree. ValueConverter<PointDataIndex32> cannot be used as a PointDataLeafNode is not a specialization of LeafNode.

## Member Typedef Documentation

## ◆ NodeChainT

using NodeChainT = typename internal::PointDataNodeChain<RootNodeT, RootNodeT::LEVEL>::Type

## ◆ RootNodeT

using RootNodeT = typename TreeType::RootNodeType

## ◆ Type

using Type = tree::Tree<typename boost::mpl::back<NodeChainT>::type>

The documentation for this struct was generated from the following file:

- PointDataGrid.h